Update Flash Player – Potential Vulnerability Identified

A potential vulnerability has been identified in the current flash player version 10.0.12.36, you are advised to update to the newest version 10.0.22.87.

Know More

Download Adobe Flash Player